mark_buffer_dirty
Prev | Other Functions | Next

## Name

mark_buffer_dirty — mark a buffer_head as needing writeout

## Synopsis

`void fastcall mark_buffer_dirty (` | struct buffer_head * | bh`)`;

## Arguments

`bh`

  the buffer_head to mark dirty

## Description

`mark_buffer_dirty` will set the dirty bit against the buffer, then set its backing page dirty, then tag the page as dirty in its address_space's radix tree and then attach the address_space's inode to its superblock's dirty inode list.

`mark_buffer_dirty` is atomic. It takes bh->b_page->mapping->private_lock, mapping->tree_lock and the global inode_lock.

Prev | Up | Next
sync_mapping_buffers | Home | __bread